ApiBundles
Add tools to bundle
Add one or more tools to a bundle with optional name/description overrides.
Path Parameters
bundle_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/bundles/497f6eca-6276-4993-bfeb-53cbbbba6f08/tools" \ -H "Content-Type: application/json" \ -d '{ "tools": [ { "tool_id": "6c5cc6aa-c017-4456-ab57-583572511a6c" } ] }'[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tool_id": "6c5cc6aa-c017-4456-ab57-583572511a6c",
"override_name": "string",
"override_description": "string",
"enabled": true,
"display_order": 0,
"has_override_embedding": false,
"original_name": "string",
"original_description": "string",
"server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
"server_name": "string",
"input_schema": {},
"effective_name": "string",
"effective_description": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}